// RW Windowing System
// ===================
// -The software testbed for adapting RW systems to use the FLTK GUI backend

// filename: menus.hpp
// -The definitions of the Window's menu structures

#pragma once

#include <FL/Fl_Sys_Menu_Bar.H>

#include "callbacks.hpp"

namespace rw {

//------------------------------------------------------------------------------
/** General menu structure
 * @note: hover over the type within the IDE for lots of good javadoc info
 */
static Fl_Menu_Item menutable[] = {
    // clang-format off
    {"foo", 0, 0, 0, FL_MENU_INACTIVE},
    {"&File", 0, 0, 0, FL_SUBMENU},
      {"&Open", FL_ALT + 'o', 0, 0, FL_MENU_INACTIVE},
      {"&Close", 0, 0},
      {"&Quit", FL_ALT + 'q', quit_cb}, 
      {0},
    {"&Edit", 0, 0, 0, FL_SUBMENU},
      {0},
    {"Just like, &make robowaifu", 0, 0, 0, FL_SUBMENU},
      {"&DO IT ANON.", FL_ALT + 'd', 0},
      {"&Just do it.", FL_ALT + 'j', 0},
      {":^)", FL_ALT + ':', 0}, 
      {0},
    {0}
    // clang-format on
};

}  // namespace rw

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
