// RW Windowing System
// ===================
// -The software testbed for adapting RW systems to use the FLTK GUI backend

// filename: Window.cpp
// -The definitions of the Window class

#include "Window.hpp"
#include "callbacks.hpp"
#include "menus.hpp"

namespace rw {

//------------------------------------------------------------------------------
Window::Window(int const width, int const height, std::string const& label)
    : Fl_Double_Window{width, height, label.c_str()}, width_{width} {
  //

  this->callback(window_cb);  // DESIGN: how to _prevent_ esc key == exit() ?
  menubar_.menu(menutable);

  this->end();  // finished configuring the window's definition
}

//------------------------------------------------------------------------------
int Window::display(int argc, char** argv) {
  //

  // via Fl_Double_Window javadoc; execute this _before_ show():
  Fl::visual(FL_DOUBLE | FL_INDEX);
  // (potential alternate) OpenGL version:
  // static int gl_visual(int, int *alist=0); // platform dependent

  //
  this->show(argc, argv);

  return Fl::run();
}

}  // namespace rw

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
